%global shortname api
%global submodule zanata-common-%{shortname}
%define hibernate_validator_ver %(rpm -q --qf "%%{version}" hibernate-validator)
%define enunciate_ver %(rpm -q --qf "%%{version}" enunciate)
%global findbugs_ver_min 3.0.0
%global javac_source_ver 1.8
%global java_ver_min %{javac_source_ver}.0
%global jersey_ver_min 1.17
%global zanata_parent_verrel 28-3

%global java_ver_min   1.8.0
%global jersey_ver_min 1.17.0

Name:           zanata-%{shortname}
Version:        3.9.1
Release:        3%{?dist}
Summary:        Zanata API modules

Group:          Development/Libraries
License:        LGPLv2+
URL:            https://github.com/zanata/%{name}
Source0:        https://github.com/zanata/%{name}/archive/%{shortname}-%{version}.zip
Patch0:         remove-enunciate.patch

BuildArch:      noarch

BuildRequires:  findbugs >= %{findbugs_ver_min}
BuildRequires:  groovy
BuildRequires:  jboss-parent
BuildRequires:  maven-local
BuildRequires:  mvn(net.sourceforge.findbugs:annotations)
BuildRequires:  mvn(org.codehaus.enunciate:enunciate-core-annotations)
BuildRequires:  mvn(org.codehaus.enunciate:enunciate-jersey-rt)
BuildRequires:  mvn(org.hibernate:hibernate-validator) >= 4
BuildRequires:  mvn(org.jboss.resteasy:resteasy-multipart-provider)
BuildRequires:  osgi(com.sun.jersey.core) >= %{jersey_ver_min}
BuildRequires:  zanata-parent >= %{zanata_parent_verrel}

Requires:  jpackage-utils
Requires:  jre >= %{java_ver_min}
Requires:  osgi(com.sun.jersey.core) >= %{jersey_ver_min}
Requires:  mvn(org.hibernate:hibernate-validator) >= 4
Requires:  mvn(org.jboss.resteasy:resteasy-multipart-provider)

%if 0%{?fedora} >= 22
BuildRequires:  hamcrest >= 1.3
Requires:       hamcrest >= 1.3
%endif

%if "%{?el6}"
BuildRequires: java-%{java_ver_min}-openjdk-devel
%else
BuildRequires: java-devel >= %{java_ver_min}
%endif

%description
Zanata API modules

%package javadoc
Summary:        Javadocs for %{submodule}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{submodule}.

%prep
%setup -q -n %{name}-%{shortname}-%{version}
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :gmaven-plugin %{submodule}
%pom_remove_plugin :maven-shade-plugin %{submodule}
%pom_remove_plugin :maven-enunciate-plugin %{submodule}
%pom_remove_dep org.jboss.spec.javax.ws.rs:jboss-jaxrs-api_2.0_spec %{submodule}
# We use the existing findbugs in fedora
# We use the existing jsr-305 in fedora
%pom_xpath_inject "pom:dependencies" "<dependency><groupId>org.jsr-305</groupId><artifactId>ri</artifactId></dependency>" %{submodule}


# delete enunciate stuff
rm -rf %{submodule}/src/main/java/org/zanata/rest/enunciate
rm -rf %{submodule}/src/test/java/org/zanata/rest/enunciate
rm -rf %{submodule}/src/test/java/org/zanata/rest/dto/
rm -rf %{submodule}/src/test/java/org/zanata/rest/service
# remove groovy-all and spock
%pom_remove_dep org.codehaus.groovy:groovy-all %{submodule}
%pom_remove_dep org.spockframework:spock-core %{submodule}

# match version hibernate-validator
%pom_xpath_set 'pom:dependencies/pom:dependency[pom:artifactId="hibernate-validator"]/pom:version' %{hibernate_validator_ver} %{submodule}

#%patch0
echo "hibernate_validator_ver=%{hibernate_validator_ver}"

%build
# -Dmaven.local.debug=true
%mvn_build -- -Denunciate.version=%{enunciate_ver}

%install
%mvn_install

%files -f .mfiles
#%dir %{_javadir}/%{name}
%doc README.txt 

%files javadoc -f .mfiles-javadoc

%changelog
* Tue Aug 02 2016 Ding-Yi Chen <dchen@redhat.com> 3.9.1-3
- Use resteasy client instead of resteasy

* Sun Jul 17 2016 Ding-Yi Chen <dchen@redhat.com> 3.9.1-2
- Add build require enunciate

* Tue May 24 2016 Ding-Yi Chen <dchen@redhat.com> 3.9.1-1
- Upstream update to version 3.9.1

* Mon Apr 18 2016 Ding-Yi Chen <dchen@redhat.com> - 3.8.4-1
- Upgrade to upstream version 3.8.4

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 20 2015 Ding-Yi Chen <dchen@redhat.com> 3.8.3-1
- Upgrade to upstream version 3.8.3

* Wed Jul 01 2015 Ding-Yi Chen <dchen@redhat.com> 3.8.0-1
- Upgrade to upstream version 3.8.0
- Require Java 1.8 now.

* Wed Jul 01 2015 Ding-Yi Chen <dchen@redhat.com> 3.7.3-1
- Add hamcrest for F22 and later
- Upgrade to upstream version 3.7.3

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 Ding-Yi Chen <dchen@redhat.com> 3.4.1-1
- Upgrade to upstream version 3.4.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Patrick Huang <pahuang@redhat.com> - 3.3.1-1
- Upgrade to upstream version 3.3.1

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.2.0-3
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 17 2014 Patrick Huang <pahuang@redhat.com> 3.2.0-2
- Add BR

* Thu Jan 09 2014 Patrick Huang <pahuang@redhat.com> 3.2.0-1
- Upstream update

* Thu Aug 22 2013 Patrick Huang <pahuang@redhat.com> 3.0.1-1
- Latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-7
- Remove javadoc subpackage require %{?_isa}

* Tue Apr 23 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-6
- Change license to LGPLv2+ and add subpackage requires according to review

* Tue Apr 23 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-5
- Add BR apache-james-project for f19-

* Mon Apr 22 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-4
- Disable test in f19 due to hamcrest compatibility bug

* Mon Apr 22 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-3
- Add conditional build for f19-

* Wed Apr 17 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-2
- Remove conditional build

* Wed Feb 27 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-1
- Upstream update to version 2.2.0

* Thu Feb 7 2013 Patrick Huang <pahuang@redhat.com> 2.1.0-1
- Initial RPM package
